import { observer } from "mobx-react";
import "./home.less";
import MapContainer from "@/components/map/MapComponent";
import HomeLeft from "@/pages/home/homeLeft/home_left";
import HomeRight from "@/pages/home/homeRigrt/home_right";
import HomeBottom from "@/pages/home/homeBottom/home_bottom";
import Weather from "./homeLeft/weather";
import Timer from "./homeLeft/timer";
import HomeVideo from "./home_video";
import HomeCheck from "./home_check";
import Scr from "./scr";

const Home = observer(() => {
  
  return (
    <div className="contents_center">
      <div className="map_container_t">
        <div className="map_container_t_l">
          <Timer />
        </div>
        <div className="map_container_t_c">
          <span>黄水镇微网实格应急处突综合指挥服务平台</span>
        </div>
        <div className="map_container_t_r">
          <Weather />
        </div>
      </div>
      <div className="scr">
        <Scr></Scr>
      </div>
      <div className="map_container_l">
        <HomeLeft />
      </div>
      <MapContainer />
      <div className="map_video_container">
        <HomeVideo />
      </div>
      <div className="map_container_r">
        <HomeRight />
      </div>
      <div className="map_container_b_check">
        <HomeCheck />
      </div>
      <div className="map_container_b">
        <HomeBottom />
      </div>
    </div>
  );
});

export default Home;
